//	Metal Halide Lights
//	=============

textures/mindriot_house_01_b1/hal_k005
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/mindriot_house_01_b1/hal_k100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/halide.tga
}

//	Mercury Lights
//	============


textures/mindriot_house_01_b1/mer_k100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100000
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/mindriot_house_01_b1/mer_k250
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 250000
	q3map_lightimage textures/realworld_light/mercury.tga
}




//from urban terror 4.0 ladderclip, modified by mindriot
textures/mindriot_house_01_b1/treeladder
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
//        surfaceparm nonsolid
//        surfaceparm playerclip
//        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/mindriot_house_01_b1/woe_ava
{
	qer_editorimage textures/mindriot_house_01_b1/woe_ava.tga

//	q3map_surfacelight 500
//	q3map_lightimage textures/realworld_light/incand.tga

	nomipmaps // makes it stay at the same resolution as you move away from it

//	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite
	cull disable
	{
		map textures/mindriot_house_01_b1/woe_ava.tga
	}

}

//from urban terror 4.0
textures/mindriot_house_01_b1/bbqgate
{
	qer_editorimage textures/mindriot_house_01_b1/bbqgate.tga
	qer_trans 0.40
//	nopicmip // prevents the user's graphics settings from affecting that texture (useful for HUDs and such)
	nomipmaps // makes it stay at the same resolution as you move away from it
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nomarks // keep marks off the image
	surfaceparm alphashadow
	surfaceparm trans
	cull disable
	{
		map textures/mindriot_house_01_b1/bbqgate.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//shader taken from realworld_light, texture from ut4_superman_b4
textures/mindriot_house_01_b1/ceiling_light
{
	qer_editorimage textures/mindriot_house_01_b1/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 5000

	{
		map textures/mindriot_house_01_b1/ceiling_light1.tga
	}
}

//shader taken from realworld_light, texture from ut4_superman_b4
textures/mindriot_house_01_b1/p01_sod
{
	qer_editorimage textures/mindriot_house_01_b1/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/sodium.tga
	q3map_surfacelight 40000

	{
		map textures/mindriot_house_01_b1/ceiling_light1.tga
	}
}

//from urban terror 4.0
textures/mindriot_house_01_b1/fullmoon
{
	qer_editorimage textures/mindriot_house_01_b1/sky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .6 .72 .77 10 250 30
	//q3map_surfacelight 10
//	q3map_surfacelight 75
	//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
      q3map_lightsubdivide 512
	skyparms env/fullmoon 256 -
}

//Austria Window - modified textures/sweetnutz/sn_window2
//By Tub
//Window with reflection.
//Fix for sweetnutzs shader. The texture was getting
//displayed very brightly in 4.0
//light added by mindriot
textures/mindriot_house_01_b1/austria_window
{
	qer_editorimage textures/mindriot_house_01_b1/austria_window.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/mindriot_house_01_b1/tinfx.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/mindriot_house_01_b1/austria_window.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

//Tudor Window
//By Tub
//Tudor Window with reflection.
//light added by mindriot
textures/mindriot_house_01_b1/ttw_1k
{
	qer_editorimage textures/mindriot_house_01_b1/tudor_window.tga

	q3map_surfacelight 1000
	q3map_lightimage textures/realworld_light/incand.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/mindriot_house_01_b1/tinfx.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/mindriot_house_01_b1/tudor_window.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

//Tudor Window
//By Tub
//Tudor Window with reflection.
//light added by mindriot
textures/mindriot_house_01_b1/ttw_5k
{
	qer_editorimage textures/mindriot_house_01_b1/tudor_window.tga

	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/incand.tga

	//Tinfx modified by the environment.
	//This will give us a shinyness
	//we can use to simulate reflection.
	{
		map textures/mindriot_house_01_b1/tinfx.tga
		tcGen environment 
	}
	//blend the shinyness with the window. This
	//will use the textures alpha to blend.
	{
		map textures/mindriot_house_01_b1/tudor_window.tga
		blendfunc blend
	}
	//display it
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

//from ut4_superman_b4 by a wily duck
textures/mindriot_house_01_b1/shiny_glass2
{
	qer_editorimage textures/mindriot_house_01_b1/tinfx.tga
	qer_trans 0.5
	q3map_surfacelight 50
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/mindriot_house_01_b1/tinfx.tga
		tcGen environment
		blendfunc filter
	}
}



